# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dlt-core"
version = "0.14.5"
authors = ["esrlabs.com"]
description = """
Parser and writer for autosar DLT Diagnostic Log and Trace
"""
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/esrlabs/dlt-core"

[[bench]]
name = "dlt_benchmarks"
harness = false

[dependencies.buf_redux]
version = "0.8.4"

[dependencies.byteorder]
version = "1.4"

[dependencies.bytes]
version = "1.0"

[dependencies.derive_more]
version = "0.99.13"

[dependencies.lazy_static]
version = "1.4"

[dependencies.log]
version = "0.4"

[dependencies.memchr]
version = "2.4"

[dependencies.nom]
version = "7.1"

[dependencies.quick-xml]
version = "0.29"

[dependencies.rustc-hash]
version = "1.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dev-dependencies.criterion]
version = "0.4"
features = ["html_reports"]

[dev-dependencies.dirs]
version = "4.0"

[dev-dependencies.env_logger]
version = "0.10"

[dev-dependencies.pretty_assertions]
version = "1.3"

[dev-dependencies.proptest]
version = "1.0"

[dev-dependencies.proptest-derive]
version = "0.3"

[features]
default = []
